<?php

namespace Schaffen\Gef\Validators;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class ApontamentoVeiculoGastoValidator.
 *
 * @package namespace Schaffen\Gef\Validators;
 */
class ApontamentoVeiculoGastoValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [ 'veiculo' => 'required|integer|exists:pgsql.frota.veiculo,vei_codigo',
                                             'responsavel' => 'required|integer|exists:pgsql.cadastro.pessoa,pes_codigo',
                                             'fornecedor' => 'integer',
                                             'local_estoque' => 'integer',
                                             'items' => 'required|array'
                                           ],
        ValidatorInterface::RULE_UPDATE => [ 'veiculo' => 'required|integer|exists:pgsql.frota.veiculo,vei_codigo',
                                             'responsavel' => 'required|integer|exists:pgsql.cadastro.pessoa,pes_codigo',
                                             'fornecedor' => 'integer',
                                             'local_estoque' => 'integer',
                                             'items' => 'required|array'
        ],
    ];
}
